
function inputs(str)
{document.frmgbk.content.value=document.frmgbk.content.value+str;}

function thelp(swtch){
    if (swtch == 1){
	basic = false;
	stprompt = false;
	helpstat = true;
    } else if (swtch == 0) {
	helpstat = false;
	stprompt = false;
	basic = true;
    } else if (swtch == 2) {
	helpstat = false;
	basic = false;
	stprompt = true;
    }
}
thelp(2)
function bold() {
	if (helpstat) {
		alert("加粗标记\n使文本加粗.\n用法: [b]这是加粗的文字[/b]");
	} else if (basic) {
		AddTxt="[b][/b]";
		inputs(AddTxt);
	} else {  
		txt=prompt("文字将变粗.","文字");     
		if (txt!=null) {           
			AddTxt="[b]"+txt;
			inputs(AddTxt);
			AddTxt="[/b]";
			inputs(AddTxt);
		}       
	}
}
function italicize() {
	if (helpstat) {
		alert("斜体标记\n使文本字体变为斜体.\n用法: [i]这是斜体字[/i]");
	} else if (basic) {
		AddTxt="[i][/i]";
		inputs(AddTxt);
	} else {   
		txt=prompt("文字将变得倾斜","文字");     
		if (txt!=null) {           
			AddTxt="[i]"+txt;
			inputs(AddTxt);
			AddTxt="[/i]";
			inputs(AddTxt);
		}	        
	}
}
function quoteme() {
	if (helpstat){
		alert("引用标记\n引用一些文字.\n用法: [quote]引用内容[/quote]");
	} else if (basic) {
		AddTxt="[quote][/quote]";
		inputs(AddTxt);
	} else {   
		txt=prompt("被引用的文字","文字");     
		if(txt!=null) {          
			AddTxt="[quote]"+txt;
			inputs(AddTxt);
			AddTxt="[/quote]";
			inputs(AddTxt);
		}	        
	}
}
function hyperlink() {
	if (helpstat) {
		alert("超级链接标记\n插入一个超级链接标记\n使用方法: [url]http://ezRick.com[/url]\nUSE: [url=http://ezRick.com]链接文字[/url]");
	} else if (basic) {
		AddTxt="[url][/url]";
		inputs(AddTxt);
	} else { 
		txt2=prompt("链接文本显示.\n如果不想使用, 可以为空, 将只显示超级链接地址. ",""); 
		if (txt2!=null) {
			txt=prompt("超级链接.","http://");      
			if (txt!=null) {
				if (txt2=="") {
					AddTxt="[url]"+txt;
					inputs(AddTxt);
					AddTxt="[/url]";
					inputs(AddTxt);
				} else {
					AddTxt="[url="+txt+"]"+txt2;
					inputs(AddTxt);
					AddTxt="[/url]";
					inputs(AddTxt);
				}         
			} 
		}
	}
}
function image() {
	if (helpstat){
		alert("图片标记\n插入图片\n用法： [img]http://ezRick.com/test.gif[/img]");
	} else if (basic) {
		AddTxt="[img][/img]";
		inputs(AddTxt);
	} else {  
		txt=prompt("图片的 URL","http://");    
		if(txt!=null) {            
			AddTxt="\r[img]"+txt;
			inputs(AddTxt);
			AddTxt="[/img]";
			inputs(AddTxt);
		}	
	}
}



function flash() {
	if (helpstat) {
		alert("Flash标记\n插入Flash\n用法： [img]http://ezRick.com/test.swf[/img]");
	} else if (basic) {
		AddTxt="\r[flash][/flash]";
		inputs(AddTxt);
	} else { 
		txt2=prompt("Flash窗口大小（宽度、高度）.\n如果不想使用, 可以为空. ","480,350"); 
		if (txt2!=null) {
			txt=prompt("Flash的URL","http://");      
			if (txt!=null) {
				if (txt2=="") {
					AddTxt="\r[flash]"+txt;
					inputs(AddTxt);
					AddTxt="[/flash]";
					inputs(AddTxt);
				} else {
					AddTxt="\r[flash="+txt2+"]"+txt;
					inputs(AddTxt);
					AddTxt="[/flash]";
					inputs(AddTxt);
				}         
			} 
		}
	}
}


function wmp() {
	if (helpstat) {
		alert("Flash标记\n插入Flash\n用法： [img]http://ezRick.com/test.swf[/img]");
	} else if (basic) {
		AddTxt="\r[wmp][/wmp]";
		inputs(AddTxt);
	} else { 
		txt2=prompt("Windows Media Player窗口大小（宽度、高度）.\n如果不想使用, 可以为空. ","480,350"); 
		if (txt2!=null) {
			txt=prompt("Windows媒体格式文件的URL地址","http://");      
			if (txt!=null) {
				if (txt2=="") {
					AddTxt="\r[wmp=480,350]"+txt;
					inputs(AddTxt);
					AddTxt="[/wmp]";
					inputs(AddTxt);
				} else {
					AddTxt="\r[wmp="+txt2+"]"+txt;
					inputs(AddTxt);
					AddTxt="[/wmp]";
					inputs(AddTxt);
				}         
			} 
		}
	}
}

function rm() {
	if (helpstat) {
		alert("Flash标记\n插入Flash\n用法： [img]http://ezRick.com/test.swf[/img]");
	} else if (basic) {
		AddTxt="\r[rm][/rm]";
		inputs(AddTxt);
	} else { 
		txt2=prompt("RealPlayer窗口大小（宽度、高度）.\n如果不想使用, 可以为空. ","480,350"); 
		if (txt2!=null) {
			txt=prompt("RealPlayer格式文件的URL地址","http://");      
			if (txt!=null) {
				if (txt2=="") {
					AddTxt="\r[rm=480,350]"+txt;
					inputs(AddTxt);
					AddTxt="[/rm]";
					inputs(AddTxt);
				} else {
					AddTxt="\r[rm="+txt2+"]"+txt;
					inputs(AddTxt);
					AddTxt="[/rm]";
					inputs(AddTxt);
				}         
			} 
		}
	}
}



function underline() {
  	if (helpstat) {
		alert("下划线标记\n给文字加下划线.\n用法: [u]要加下划线的文字[/u]");
	} else if (basic) {
		AddTxt="[u][/u]";
		inputs(AddTxt);
	} else {  
		txt=prompt("下划线文字.","文字");     
		if (txt!=null) {           
			AddTxt="[u]"+txt;
			inputs(AddTxt);
			AddTxt="[/u]";
			inputs(AddTxt);
		}	        
	}
}
function showfont(font) {
 	if (helpstat){
		alert("字体标记\n给文字设置字体.\n用法: [font="+font+"]改变文字字体为"+font+"[/font]");
	} else if (basic) {
		AddTxt="[font="+font+"][/font]";
		inputs(AddTxt);
	} else {                  
		txt=prompt("要设置字体的文字"+font,"文字");
		if (txt!=null) {             
			AddTxt="[font="+font+"]"+txt;
			inputs(AddTxt);
			AddTxt="[/font]";
			inputs(AddTxt);
		}        
	}  
}
function showcolor(color) {
	if (helpstat) {
		alert("颜色标记\n设置文本颜色.  任何颜色名都可以被使用.\n用法: [color="+color+"]颜色要改变为"+color+"的文字[/color]");
	} else if (basic) {
		AddTxt="[color="+color+"][/color]";
		inputs(AddTxt);
	} else {  
     	txt=prompt("选择的颜色是: "+color,"文字");
		if(txt!=null) {
			AddTxt="[color="+color+"]"+txt;
			inputs(AddTxt);        
			AddTxt="[/color]";
			inputs(AddTxt);
		} 
	}
}
function showsize(size) {
	if (helpstat) {
		alert("文字大小标记\n设置文字大小.\n可变范围 1 - 6.\n 1 为最小 6 为最大.\n用法: [size="+size+"]这是 "+size+" 文字[/size]");
	} else if (basic) {
		AddTxt="[size="+size+"][/size]";
		inputs(AddTxt);
	} else {                       
		txt=prompt("大小 "+size,"文字"); 
		if (txt!=null) {             
			AddTxt="[size="+size+"]"+txt;
			inputs(AddTxt);
			AddTxt="[/size]";
			inputs(AddTxt);
		}        
	}
}
function center() {
if (helpstat) {alert("对齐标记\n使用这个标记, 可以使文本左对齐、居中、右对齐.\n用法: [align=center|left|right]要对齐的文本[/align]");} else if (basic) {
AddTxt="[align=center|left|right][/align]";inputs(AddTxt);} else {txt2=prompt("对齐样式\n输入 'center' 表示居中, 'left' 表示左对齐, 'right' 表示右对齐.","center");
while ((txt2!="") && (txt2!="center") && (txt2!="left") && (txt2!="right") && (txt2!=null)) {txt2=prompt("错误!\n类型只能输入 'center' 、 'left' 或者 'right'.","");}
txt=prompt("要对齐的文本","文本");if (txt!=null) {AddTxt="\r[align="+txt2+"]"+txt;inputs(AddTxt);AddTxt="[/align]";inputs(AddTxt);}}
}
function setfly() {
if (helpstat){alert("飞翔标记\n使文字飞行.\n用法: [fly]文字为这样文字[/fly]");} else if (basic) {
AddTxt="[fly][/fly]";inputs(AddTxt);} else { txt=prompt("飞翔文字","文字");
if (txt!=null) { AddTxt="[fly]"+txt;inputs(AddTxt);AddTxt="[/fly]";inputs(AddTxt);}}  
}
function move() {
if (helpstat) {alert("移动标记\n使文字产生移动效果.\n用法: [move]要产生移动效果的文字[/move]");} else if (basic) {
AddTxt="[move][/move]";inputs(AddTxt);} else { txt=prompt("要产生移动效果的文字","文字");
if (txt!=null) { AddTxt="[move]"+txt;inputs(AddTxt);AddTxt="[/move]";inputs(AddTxt);}}
}
